<div>
    <label for="">Auth server address (to use ngrok): </label>
    <br>
    <input type="text" name="serverUrl" id="" [(ngModel)]="serverUrl">
</div>
<hr>

<div>
    <label for="">username: </label>
    <input type="text" name="username" id="" [(ngModel)]="username">
</div>
<div>
    <label for="">password: </label>
    <input type="text" name="password" id="" [(ngModel)]="password">
</div>
<button (click)="submitCredentials()">Submit</button>

<ng-container *ngIf="gotResponse">
<div>
    {{responseMessage}}
</div>
</ng-container>